curl --request GET \
--url https://api.onkernel.com/browser_pools \
--header 'Authorization: Bearer <token>'[
{
"id": "iv25ujqf37x3j07dwoffegqr",
"available_count": 85,
"acquired_count": 15,
"created_at": "2023-11-07T05:31:56Z",
"browser_pool_config": {
"size": 10,
"name": "my-pool",
"fill_rate_per_minute": 10,
"timeout_seconds": 600,
"stealth": true,
"headless": false,
"profile": {
"id": "<string>",
"name": "<string>",
"save_changes": false
},
"extensions": [
{
"id": "<string>",
"name": "<string>"
}
],
"proxy_id": "<string>",
"viewport": {
"width": 1280,
"height": 800,
"refresh_rate": 60
},
"kiosk_mode": true
},
"name": "my-pool"
}
]List browser pools owned by the caller’s organization.
curl --request GET \
--url https://api.onkernel.com/browser_pools \
--header 'Authorization: Bearer <token>'[
{
"id": "iv25ujqf37x3j07dwoffegqr",
"available_count": 85,
"acquired_count": 15,
"created_at": "2023-11-07T05:31:56Z",
"browser_pool_config": {
"size": 10,
"name": "my-pool",
"fill_rate_per_minute": 10,
"timeout_seconds": 600,
"stealth": true,
"headless": false,
"profile": {
"id": "<string>",
"name": "<string>",
"save_changes": false
},
"extensions": [
{
"id": "<string>",
"name": "<string>"
}
],
"proxy_id": "<string>",
"viewport": {
"width": 1280,
"height": 800,
"refresh_rate": 60
},
"kiosk_mode": true
},
"name": "my-pool"
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
List of browser pools
Unique identifier for the browser pool
"iv25ujqf37x3j07dwoffegqr"
Number of browsers currently available in the pool
85
Number of browsers currently acquired from the pool
15
Timestamp when the browser pool was created
Configuration used to create all browsers in this pool
Show child attributes
Browser pool name, if set
"my-pool"